#!/usr/bin/python3
# -*- coding: UTF-8 -*-
import OPi.GPIO as GPIO   # 載入 orangepi api
import time
FAN_PIN=7    # 風扇控制端
GPIO.setmode(GPIO.BOARD)
GPIO.setup(FAN_PIN, GPIO.OUT) #把風扇控端設置為輸出模式
start_temp_value=45   #風扇ON溫度
stop_temp_value=40   #風扇OFF溫度

def get_temp():   # 讀取 CPU 溫度 function
    with open('/sys/class/thermal/thermal_zone0/temp') as fp:   
        return int(fp.read()) // 1000

try:
    while True:  # loop
        cputemp = get_temp()    # call 溫度 function
        if cputemp < stop_temp_value:
            GPIO.output(FAN_PIN, GPIO.LOW) # 如果CPU溫度降低, 控制端輸出低電壓 MOS 關閉
        elif cputemp > start_temp_value:
            GPIO.output(FAN_PIN, GPIO.HIGH) # 如果CPU溫度升高, 控制端輸出高電壓 MOS 開啓
        time.sleep(10)  # 暫停 10 秒
except Exception as e:
    print(e)

GPIO.cleanup(FAN_PIN)
